unit uMHandlers;

interface

uses SysUtils, Classes, uMessageConsts, Messages;

type
  TMHandler = class(TObject)
  public
    procedure DelphiHandler(var aMessage : TMessage);
    procedure CBuilderHandler(var aMessage : TMessage);
    procedure CSharpHandler(var aMessage : TMessage);
    procedure DelphiDotNetHandler(var aMessage : TMessage);

    procedure AUDIHandler(var aMessage : TMessage);
    procedure BMWHandler(var aMessage : TMessage);
    procedure BenzHandler(var aMessage : TMessage);
    procedure LexusHandler(var aMessage : TMessage);
  end;


implementation

uses fmMain;

{ TMHandler }

procedure TMHandler.AUDIHandler(var aMessage: TMessage);
begin
  Form1.AppMsg('I am AUDI Handler ' + IntToStr(aMessage.WParam));
end;

procedure TMHandler.BenzHandler(var aMessage: TMessage);
begin
  Form1.AppMsg('I am Benz Handler ' + IntToStr(aMessage.WParam));
end;

procedure TMHandler.BMWHandler(var aMessage: TMessage);
begin
  Form1.AppMsg('I am BMW Handler ' + IntToStr(aMessage.WParam));
end;

procedure TMHandler.CBuilderHandler(var aMessage: TMessage);
begin
  Form1.AppMsg('I am C++Builder Handler ' + IntToStr(aMessage.WParam));
end;

procedure TMHandler.CSharpHandler(var aMessage: TMessage);
begin
  Form1.AppMsg('I am C#Builder Handler ' + IntToStr(aMessage.WParam));
end;

procedure TMHandler.DelphiDotNetHandler(var aMessage: TMessage);
begin
  Form1.AppMsg('I am Delphi For .NET Handler ' + IntToStr(aMessage.WParam));
end;

procedure TMHandler.DelphiHandler(var aMessage: TMessage);
begin
  Form1.AppMsg('I am Delphi Handler ' + IntToStr(aMessage.WParam));
end;

procedure TMHandler.LexusHandler(var aMessage: TMessage);
begin
  Form1.AppMsg('I am Lexus Handler ' + IntToStr(aMessage.WParam));
end;

end.
 